@import '../../styles/variables.scss';
@import '../../styles/mixins.scss';

#header {

  // the different themed headers each category pages
  &.header {
    &_category {
      color: $white;
      .curated-by {
        opacity: 0.3;
        color: $white;
        border-bottom-color: fade-out($white, 0.3);
      }
      .links__menu {
        background-image: url('./images/chevron-icon-white.svg');
      }
    }
    &_neurodegeneration {
      background: #743e74;
    }
    &_infectious-disease {
      background: #3a4164;
    }
    &_physics-of-condensates {
      background: #583f21;
    }
    &_cancer {
      background: #2c8371;
    }
    &_transcription {
      background: #8a351a;
    }
  }

  .nav {
    @include mobile {
      display: flex;
      justify-content: space-between;
      align-items: center;
      min-height: 56px;
      background: $gold;
    }
    @include tablet-up {
      grid-template-rows: repeat(4, 40px);
      @include text-2;
    }
    // add/remove the nav_closed class to toggle the menu on mobile
    &_closed {
      .links {
        @include sr-only;
      }
    }
  }

  .logo {
    color: #353A42;
    font-weight: 500; // update be demi
    line-height: 120%;
    @include mobile {
      font-size: 20px;
    }
    @include tablet-up {
      grid-column: 1 / span 3;
      grid-row: 1 / span 4;
      display: flex;
      align-items: flex-end;
      padding: 16px 20px;
      min-height: 160px;
      background: $gold;
      font-size: 25px;
      letter-spacing: -1px;
    }
  }

  .menu-button {
    background: none;
    border: none;
    height: 40px;
    @include tablet-up {
      display: none;
    }
  }

  .curated-by {
    grid-column: 4 / -1;
    grid-row: 1;
    align-self: stretch;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    color: $gray;
    position: relative;
    border-bottom: 1px solid $gray-light;
    @include text-4;
    @include mobile {
      display: none;
    }
    @include tablet {
      margin-left: -15px;
    }
    @include desktop {
      margin-left: -20px;
    }
    &__text {
      margin-right: 9px;
      padding-top: 1px
    }
  }

  .links {
    @include mobile {
      position: absolute;
      top: 56px;
      left: 0;
      right: 0;
      display: flex;
      flex-direction: column;
      padding: 30px 20px 10px 20px;
      background: $gold;
      border-top: 1px solid $gold-dark;
      font-size: 0.9375rem;
      line-height: 1.4;
      font-weight: 700;
      > * {
        margin-bottom: 20px;
      }
    }
    @include tablet-up {
      grid-row: 4;
      display: flex;
      align-items: center;
      > * {
        margin-right: 30px;
      }
    }
    @include tablet {
      grid-column: 5 / span 6;
    }
    @include desktop {
      grid-column: 6 / span 7;
    }
    &__menu-title {
      @include mobile {
        order: 1;
      }
      @include tablet-up {
        background: url('./images/chevron-icon-black.svg') no-repeat center right;
        padding-right: 22px;
      }
    }
    &__menu {
      @include mobile {
        font-weight: normal;
        margin-top: 20px;
        > * {
          margin-bottom: 10px;
        }
      }
      @include tablet-up {
        @include sr-only;
      }
    }
    &__search {
      @include mobile {
        @include sr-only
      }
      @include tablet-up {
        flex: 1;
        margin-right: 0;
        text-align: right;
        img {
          vertical-align: middle;
        }
      }
    }
  }

  // title & description shown on category pages
  .category-details {
    padding-top: 80px;
    padding-bottom: 60px;
    &__title,
    &__intro {
      @include tablet {
        grid-column: 5 / span 6;
      }
      @include desktop {
        grid-column: 6 / span 7;
      }
    }
    &__title {
      margin-bottom: 20px;
    }
  }

}
